Module | Sequel::Postgres::PGArray::DatabaseMethods
In: | lib/sequel/extensions/pg_array.rb

### Methods

bound_variable_arg schema_column_type

### Constants

APOS | = | "'".freeze
DOUBLE_APOS | = | "''".freeze
ESCAPE_RE | = | /("|\\)/.freeze
ESCAPE_REPLACEMENT | = | '\\\\\1'.freeze
BLOB_RANGE | = | 1...-1

### Public Instance methods

bound_variable_arg(arg, conn)

Handle arrays in bound variables

[Source]

         # File lib/sequel/extensions/pg_array.rb, line 209
    209:         def bound_variable_arg(arg, conn)
    210:           case arg
    211:           when PGArray
    212:             bound_variable_array(arg.to_a)
    213:           when Array
    214:             bound_variable_array(arg)
    215:           else
    216:             super
    217:           end
    218:         end

schema_column_type(db_type)

Make the column type detection handle registered array types.

[Source]

         # File lib/sequel/extensions/pg_array.rb, line 221
    221:         def schema_column_type(db_type)
    222:           if (db_type =~ /\A([^(]+)(?:\([^(]+\))?\[\]\z/io) && (type = ARRAY_TYPES[$1])
    223:             type
    224:           else
    225:             super
    226:           end
    227:         end

[Validate]